Package com.sun.jna.platform.win32

## Interface DdemlUtil.ErrorHandler

Enclosing class:
  DdemlUtil

    public static interface DdemlUtil.ErrorHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onError​(int transactionType, Ddeml.HCONV hconv, int errorCode)` A Dynamic Data Exchange (DDE) callback function, DdeCallback, receives the XTYP_ERROR transaction when a critical error occurs.

### Method Detail

#### onError

    void onError​(int transactionType,
                 Ddeml.HCONV hconv,
                 int errorCode)

A Dynamic Data Exchange (DDE) callback function, DdeCallback, receives the XTYP_ERROR transaction when a critical error occurs.

Remarks

An application cannot block this transaction type; the CBR_BLOCK return code is ignored. The Dynamic Data Exchange Management Library (DDEML) attempts to free memory by removing noncritical resources. An application that has blocked conversations should unblock them.

Parameters:
  `transactionType` - uType - The transaction type.
  `hconv` - A handle to the conversation associated with the error. This parameter is NULL if the error is not associated with a conversation.
  `errorCode` - dwData1 - The error code in the low-order word. Currently, only the following error code is supported.

  Only Ddeml.DMLERR_LOW_MEMRORY is known: Memory is low; advise, poke, or execute data may be lost, or the system may fail.